import React from 'react';

export default class AnimatedEllipsis extends React.Component {
  constructor() {
    super();

    this.state = {
      dots: 0,
    };

    this.timer = null;

    this.componentDidMount = this.componentDidMount.bind(this);
    this.componentWillUnmount = this.componentWillUnmount.bind(this);
    this.startDotTimer = this.startDotTimer.bind(this);
    this.stopDotTimer = this.stopDotTimer.bind(this);
    this.incrementDots = this.incrementDots.bind(this);
  }

  componentDidMount() {
    this.startDotTimer();
  }

  componentWillUnmount() {
    this.stopDotTimer();
  }

  startDotTimer() {
    if (this.timer === null) {
      this.timer = setInterval(this.incrementDots, 250);
    }
  }

  stopDotTimer() {
    if (this.timer !== null) {
      clearInterval(this.timer);
      this.timer = null;
    }
  }

  incrementDots() {
    this.setState(state => ({
      dots: (state.dots + 1) % 4,
    }));
  }

  render() {
    return (
      <span>
        {'.'.repeat(this.state.dots)}
      </span>
    );
  }
}
