import React from 'react';

import { getTypeName } from '../redux/ui';

import style from './MessageBox.styl';

import MessageBoxButton from './MessageBoxButton';

const MessageBox = ({
  children,
  type,
  progress,
  buttons,
  dispatchClose,
}) => (
  <div className={[
    style.message,
    style[`message-${getTypeName(type)}`],
  ].join(' ')}
  >
    <div className={style['message-body']}>
      {children}
    </div>
    {
      buttons
        ? (
          <div className={style.messageButtons}>
            {
              buttons.map(({ modifiers, close, text }, index) => (
                <MessageBoxButton
                  modifiers={modifiers}
                  onClick={
                    close
                      ? dispatchClose
                      : null
                  }
                  key={index}
                >
                  {text}
                </MessageBoxButton>
              ))
            }
          </div>
        )
        : null
    }
  </div>
);

export default MessageBox;
