import React from 'react';

import style from './ServerTable.styl';

const ServerTable = ({ servers }) => (
  <table className={style.serverTable}>
    <thead>
      <tr>
        <th>Server Name</th>
        <th>Variant</th>
        <th>Map</th>
        <th>Players</th>
        <th>Server Address</th>
      </tr>
    </thead>
    <tbody>
      {
        servers.map(server => (
          <tr key={`${server.ip}:${server.port}`}>
            <td>{server.name}</td>
            <td>{server.variant}<br /><small>{server.variantType}</small></td>
            <td>{server.map}</td>
            <td>{server.numPlayers} / {server.maxPlayers}</td>
            <td>{server.ip}:{server.port}</td>
          </tr>
        ))
      }
    </tbody>
  </table>
);

export default ServerTable;
