import React from 'react';

import * as serverlistLoader from '../redux/serverlist_loader';

import AnimatedEllipsis from './AnimatedEllipsis';

import style from './ServerTable.styl';


const ServerTableStatus = ({ serverCount, state }) => (
  <div className={[
    style.serverTableStatus,
    state === serverlistLoader.states.LOADING
      ? style.serverTableStatusLoading
      : style.serverTableStatusIdle,
  ].join(' ')}
  >
    <p>
      {state === serverlistLoader.states.LOADING
        ? <span>Loading<AnimatedEllipsis /></span>
        : 'Idle'}
    </p>
    <p>
      {serverCount} servers
    </p>
  </div>
);

export default ServerTableStatus;
