import React from 'react';

import style from './ServerTableWrapper.styl';

import ServerTable from '../containers/ServerTable';
import ServerTableStatus from '../containers/ServerTableStatus';
import ServerTableButtons from '../containers/ServerTableButtons';

export default class ServerTableWrapper extends React.Component {
  constructor() {
    super();
    this.state = {
      query: undefined,
      queryText: '',
    };
    this.handleQueryChange = this.handleQueryChange.bind(this);
  }

  handleQueryChange(e) {
    const queryText = e.target.value;
    this.setState({
      queryText,
    });
    if (queryText && queryText.length > 0) {
      this.setState({
        query: item => item.name.toLowerCase().includes(queryText.toLowerCase()),
      });
    } else {
      this.setState({
        query: undefined,
      });
    }
  }

  render() {
    return (
      <div className={style.serverTableWrapper}>
        <ServerTableStatus />
        <ServerTableButtons />
        <input type="text" value={this.state.queryText} onChange={this.handleQueryChange} />
        <ServerTable filter={this.state.query} />
      </div>
    );
  }
}
