import { connect } from 'react-redux';

import { selectors, actions } from '../redux/ui';

import Component from '../components/MessageBox';

const mapStateToProps = (state, { messageId }) => {
  const { text, ...props } = selectors.getMessage(state, messageId);
  return ({
    children: text,
    ...props,
  });
};

const mapDispatchToProps = (dispatch, { messageId }) => ({
  dispatchClose: () => {
    dispatch(actions.closeMessage({ id: messageId }));
  },
});

const ConnectedMessageBoxes = connect(
  mapStateToProps,
  mapDispatchToProps,
)(Component);

export default ConnectedMessageBoxes;
