import { connect } from 'react-redux';

import * as serverlistLoader from '../redux/serverlist_loader';

import Component from '../components/ServerTableButtons';

const mapStateToProps = state => ({
  hideCancelButton: serverlistLoader.selectors.getState(state) === serverlistLoader.states.IDLE,
  disableRefreshButton: serverlistLoader.selectors.getState(state) !== serverlistLoader.states.IDLE,
});

const mapDispatchToProps = dispatch => ({
  dispatchRefresh: () => {
    dispatch(serverlistLoader.actions.updateGameServers());
  },
  dispatchCancelRefresh: () => {
    dispatch(serverlistLoader.actions.cancelUpdateGameServers());
  },
});

const ConnectedMessageBoxes = connect(
  mapStateToProps,
  mapDispatchToProps,
)(Component);

export default ConnectedMessageBoxes;
