import React from 'react';
import { render } from 'react-dom';

import store from './redux';

import * as ui from './redux/ui';
import * as serverlist_loader from './redux/serverlist_loader';

// import * as OfflinePluginRuntime from 'offline-plugin/runtime';

import App from './App';

import './index.sass';

if (process.env.NODE_ENV !== 'production') {
  // eslint-disable-next-line no-console
  console.log(
    `%cThis is a ${process.env.NODE_ENV} build!`,
    'font-family: sans-serif; color: red; font-size: 2.5em; font-weight: bold',
  );
  // eslint-disable-next-line no-console
  console.log(
    '%cThis code MUST not be deployed in production!',
    'font-family: sans-serif; color: red; font-weight: bold; font-size: 1.5em',
  );
}

// Offline caching runtime
// OfflinePluginRuntime.install();

// Create div node to render app in
const rootContainer = document.createElement('div');
document.body.appendChild(rootContainer);

window.addEventListener('load', () => {
  render((
    <App />
  ), rootContainer);

  // setTimeout(() => {
  //   store.dispatch(serverlist_loader.actions.updateGameServers());
  // }, 15000);

  // setTimeout(() => {
  //   store.dispatch(ui.actions.add({
  //     text: 'Hello world!',
  //     type: ui.messageTypes.INFO,
  //   }));
  // }, 1000);
});
